package com.zanxiang.manage.domain.vo;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author : lingfeng
 * @time : 2022-06-30
 * @description : 玩家角色列表
 */
public class UserGameRoleListVO {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 玩家id
     */
    @ApiModelProperty(notes = "玩家id")
    private Long userId;

    /**
     * 玩家账号
     */
    @ApiModelProperty(notes = "玩家账号")
    private String username;

    /**
     * 玩家昵称
     */
    @ApiModelProperty(notes = "玩家昵称")
    private String nickname;

    /**
     * 注册IP
     */
    private String regIp;

    /**
     * 玩家注册时间
     */
    private LocalDateTime regTime;

    /**
     * 注册渠道
     */
    private String channelSign;

    /**
     * cp名称
     */
    private String cpName;

    /**
     * 游戏名称
     */
    private String gameName;

    /**
     * 游戏应用类型
     */
    private String gameCategoryName;

    /**
     * 游戏区服
     */
    private String serverName;

    /**
     * 游戏角色
     */
    private String roleName;

    /**
     * 游戏角色id
     */
    private String roleId;

    /**
     * 游戏战力
     */
    private Long rolePower;

    /**
     * 角色vip
     */
    private Long vipLevel;

    /**
     * 操作系统
     */
    private String os;

//    private BigDecimal
}
