package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.vo.GameChoiceVO;
import com.zanxiang.mybatis.entity.Game;

import java.util.List;

/**
 * @author : lingfeng
 * @time : 2022-06-24
 * @description : 游戏逻辑
 */
public interface GameService extends IService<Game> {

    /**
     * 游戏选择列表查询
     *
     * @return : 返回所有游戏信息
     */
    List<GameChoiceVO> choiceList();
}
