package com.zanxiang.manage.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.manage.domain.params.UserNameAuthListParam;
import com.zanxiang.manage.domain.vo.UserNameAuthVO;
import com.zanxiang.mybatis.entity.UserExt;

/**
 * @author : lingfeng
 * @time : 2022-06-29
 * @description : 玩家拓展信息
 */
public interface UserExtService extends IService<UserExt> {

    /**
     * 获取玩家实名认证列表
     *
     * @param param : 查询参数
     * @return : 返回单页数据
     */
    IPage<UserNameAuthVO> authList(UserNameAuthListParam param);
}
